//
//  NSMutableSet+gmsafekit.m
//  OJia
//
//  Created by lerosua on 15/12/28.
//  Copyright © 2015年 com.ouj. All rights reserved.
//

#import "NSMutableSet+gmsafekit.h"

@implementation NSMutableSet (gmsafekit)


-(void)safeAddObject:(id)anObject
{
    if (!anObject) {
        NSLog(@"safeWarning --addObject: NSMUtableArray add nil object");
        return;
    }
    [self addObject:anObject];
}

- (void)safeAddObjectsFromArray:(NSArray *)otherArray {
    if(otherArray.count > 0){
        [self addObjectsFromArray:otherArray];
    }
}

- (void) safeRemoveObject:(id)anObject
{
    if (anObject) {
        [self removeObject:anObject];
    }
}



@end
